Subject: Re: #1, DAD, DHCP clients and servers...

From: Thomas Narten <[email-masked]>
Date: Mon, 20 Mar 2000 08:00:39 -0500

> When I asked a few folks about this problem, I was told that the IP
> addresses given out by DHCPv6 servers will always include the client
> interface's interface identifier, and thus the address should already be
> unique, since uniqueness is determined by the interface identifier, a'la
> stateless address autoconf.

This would appear to be a misconception. AFAIK, its always been
assumed that a DHCP server can assign whatever addresses it wants just
as DHCPv4 does today.

> It seems to me that one of the features of DHCPv6 should be the ability
> to allocate IP addresses independent of an interface's interface ID.
> Otherwise, I feel we're unnecessarily limiting the protocol.

Agree 100%.

Thomas